"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class GridResponse {
    constructor(items, total, dto) {
        this.items = items;
        this.search = dto.search;
        this.filter = dto.filter;
        this.sorter = dto.sorter;
        const itemsPerPage = dto.paging?.itemsPerPage || 10;
        const lastPage = Math.max(Math.ceil(total / itemsPerPage), 1);
        const page = dto.paging?.page || 1;
        this.paging = {
            page,
            itemsPerPage,
            total,
            nextPage: Math.min(page + 1, lastPage),
            lastPage,
            previousPage: Math.max(page - 1, 1),
        };
    }
}
exports.default = GridResponse;
